# $Revision: 1.24.2.1 $, $Date: 2006/11/06 22:17:56 $
Summary:	POP3 server
Summary(pl):	Serwer POP3
Name:		popa3d
Version:	0.6.4.1
Release:	6
License:	distributable (see LICENSE for details)
Group:		Networking/Daemons
Source0:	http://www.openwall.com/popa3d/%{name}-%{version}.tar.gz
# Source0-md5:	5e352b7eebe59f184ce0b0c4c9731c89
Source1:	%{name}.pamd
Source2:	%{name}.inetd
Patch0:		%{name}-params.patch
Patch1:		%{name}-user.patch
URL:		http://www.openwall.com/popa3d/
BuildRequires:	pam-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Requires:	filesystem >= 2.0-1
Requires:	pam >= 0.79.0
Requires:	rc-inetd
Provides:	pop3daemon
Provides:	user(pop3)
Obsoletes:	imap-pop
Obsoletes:	imap-pop3
Obsoletes:	pop3daemon
Obsoletes:	qpopper
Obsoletes:	qpopper6
Conflicts:	courier-imap-pop3
Conflicts:	cyrus-imapd
Conflicts:	solid-pop3d
Conflicts:	solid-pop3d-ssl
Conflicts:	tpop3d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
popa3d is a Post Office Protocol version 3 (POP3) server written by
Solar Designer. It supports only mailbox spool format.

%description -l pl
popa3d to serwer protokou Post Office Protocol w wersji 3
(powszechnie znanego jako POP3), napisany przez Solar Designera.
Obsuguje tylko skrzynki w formacie mailbox.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" LD="%{__cc}" \
	CFLAGS="%{rpmcflags} -c" \
	LDFLAGS="%{rpmldflags}" \
	LIBS="-lpam -lcrypt"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{pam.d,sysconfig/rc-inetd,security} \
	$RPM_BUILD_ROOT/var/lib/popa3d-empty

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	SBINDIR="%{_sbindir}" \
	MANDIR="%{_mandir}"

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/popa3d
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/popa3d

> $RPM_BUILD_ROOT/etc/security/blacklist.popa3d

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%useradd -u 60 -r -d /usr/share/empty -s /bin/false -c "pop3 user" -g nobody pop3

%post
%service -q rc-inetd reload

%postun
if [ "$1" = "0" ]; then
	%service -q rc-inetd reload
	%userremove pop3
fi

%triggerpostun -- popa3d < 0.6.3-2
if [ "$1" != "0" ]; then
	%userremove popa3d
fi

%files
%defattr(644,root,root,755)
%doc DESIGN LICENSE VIRTUAL
%attr(755,root,root) %{_sbindir}/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/popa3d
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.popa3d
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/popa3d
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: popa3d.spec,v $
Revision 1.24.2.1  2006/11/06 22:17:56  glen
- AC-branch due filesystem version mismatch

Revision 1.24  2006/10/27 18:33:38  qboosh
- updated dep for /usr/share/empty dir (FHS -> filesystem); release 6

Revision 1.23  2006/09/08 18:03:54  glen
- rel 5 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.22  2006/04/14 15:49:23  glen
- rel 4

Revision 1.21  2006/03/14 01:24:26  glen
- unified rc-inetd usage (via %service), adapterized

Revision 1.20  2005/12/13 14:37:24  glen
- adapterized (sorted %verify flags)

Revision 1.19  2005/07/14 22:14:49  qboosh
- use existing dir (/usr/share/empty) for pop3 user

Revision 1.18  2005/05/12 13:29:33  baggins
- release 3
- req pam 0.79

Revision 1.17  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.16  2004/08/25 04:21:44  ankry
- rel. 2

Revision 1.15  2004/08/21 20:00:54  misi3k
- updated to 0.6.4.1

Revision 1.14  2004/08/20 21:33:11  ankry
- use %userremove/%groupremove, some cosmetics

Revision 1.13  2004/08/08 15:54:30  ankry
- {group,user}{add,del} do not belong to this package - don't use this
  pakage %{_sbindir} for them

Revision 1.12  2003/12/12 20:46:52  eothane
- updated to 0.6.4 (http://www.openwall.com/popa3d/CHANGES.shtml)

Revision 1.11  2003/09/26 14:23:56  baggins
- release 3

Revision 1.10  2003/09/26 14:20:25  baggins
- req pam >= 0.77.3

Revision 1.9  2003/05/28 13:01:20  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:25:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/14 17:25:43  misi3k
- rel 2
- added user patch (s/popa3d/pop3/)
- added %triggerpostun

Revision 1.6  2003/04/13 18:01:31  misi3k
- updated to 0.6.3
- removed user patch (bad idea)

Revision 1.5  2003/03/10 23:28:41  misi3k
- users - s/popa3d/vpopmail/
- added patch s/popa3d/vpopmail/
- rel 2

Revision 1.4  2003/03/10 21:13:18  misi3k
- updated to 0.6.2

Revision 1.3  2003/03/08 10:52:23  misi3k
- updated to 0.6.1

Revision 1.2  2002/06/25 09:14:14  qboosh
- use system-wide empty dir for privsep (R: new FHS); release 2

Revision 1.1  2002/06/12 21:55:05  qboosh
- new
